# Module job-execution

### Classes

- BaseJobExecutor
- ComputeJobExecutor
- FileUploader
- JesJobExecutor
- Sas9JobExecutor
- WebJobExecutor

### Interfaces

- JobExecutor
- WaitingRequstPromise

### Type aliases

- ExecuteFunction

## Type aliases

### ExecuteFunction

ExecuteFunction: function

- Defined in src/job-execution/JobExecutor.ts:5

#### Type declaration

- - (): Promise<any>

  - #### Returns Promise<any>

Generated using TypeDoc